# Copyright (c) 2021 Dominic Msters
# 
# This software is released under the MIT License.
# https://opensource.org/licenses/MIT

#################################### CMAKE #####################################
cmake_minimum_required(VERSION 3.13)
set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
project(Dawn VERSION 1.0)

set(GAME_NAME DawnGame)
set(GAME_VERSION 1.0)

##################################### LIBS #####################################
add_subdirectory(lib)
add_subdirectory(src)

if(TARGET_GROUP STREQUAL test)
  add_subdirectory(test)
else()
  add_subdirectory(client)
endif()

#################################### ASSETS ####################################
file(COPY ${CMAKE_CURRENT_LIST_DIR}/assets DESTINATION ${CMAKE_CURRENT_BINARY_DIR})